Dear all,

Sorry for the late reply.

I followed the directions from Ryan: Installing Fink and getting apbs through Fink, and it work! Thanks Ryan :-)

(I don't know what "macpolhybrid" is, and googling it mainly lead to websites with cars (…), but I must have had it, since I could continue without doing anything.)

Thanks again!

Kind regards,
Sarah

Den 13/11/2013 kl. 17.07 skrev "Walker, Ryan (walker3)" <walker3@mail.uc.edu>:

Hello Everyone,

I recently got APBS to finally work on my rMBP (Mavericks installed).  It took a lot to fiddle with, but here is a description of what I did to get it working.  I’m no computer expert by any means, but google helped me through this process.  All in all it took about 3 hours to get fully installed.  I apologize if I left something out or if people feel this is incorrect. But it worked for me. The instructions and files are listed below.


  

First switch to macpolhybrid if you haven’t already
make sure you have Xcode installed and that command line tools are installed
run this in terminal to update command line tools

xcode-select —install

a GUI will open up and click install

you may also have to make sure you have the Developer package of Xcode installed.  Run it regardless to be sure.

xcode-select —switch /your/path/to/Xcode.app/Contents/Developer

Make sure you point to the correct location of your Xcode.app

Now install fink  (this takes quite a while)
<fink-0.36.0.tar>

put fink in a location that you want to stay /your/path/to/Programs for example.
open terminal where the tar ball is.
run these commands

tar -xvf fink-0.36.0.tar
cd fink-0.36.0
./bootstrap
/sw/bin/pathsetup.sh

quit terminal and reopen terminal to update fink (your environment for fink should now be set up)

fink selfupdate-rsync
fink index -f


now you have fink

open terminal and run

fink install apbs
(you may run into python27 issues.  if this happens , open terminal run: fink install python27 Another thing that may be an issue is changing fink to the ‘unstable’ version, it didn’t happen to me but if it does there is a website that can be used to change to the unstable release)

this will put the proper binaries and other things for apbs into /sw directory

next install this plugin for apbs into pymol

<pymolapbsplugin-code-28-trunk.zip>
the apbsplugin.py file is in the /src folder


the plugin gui should automatically scan to find the binaries for the plugin.  

you can also run pdq2pqr locally on the mac too (instead of using the server) and use it with the apbs plugin prior to ‘set the grid’ 

open terminal and run
fink install pdb2pqr
this takes a long time also


Good luck!

ryan
university of cincinnati
On Nov 13, 2013, at 10:38 AM, Baker, Nathan <Nathan.Baker@pnnl.gov> wrote:

Hi Sarah –
 
I’m adding Keith Fligg to this email to see if he can work with Andrew to help fix the problem.
 
Thank you,
 
--
Nathan Baker
Laboratory Fellow
Pacific Northwest National Laboratory
+1-509-375-3997
 
From: Sarah Witzke [mailto:sarahwitzke@gmail.com] 
Sent: Tuesday, November 12, 2013 12:03 PM
To: apbs-users@googlegroups.com
Cc: Baker, Nathan; Aaron Oakley; apbs-users@lists.sourceforge.net; Stevens, Andrew J (PNNL)
Subject: Re: [apbs-users] running apbs on OS X 10.8
 
Dear all,
 
I am having the same problems as Aaron when I try to install APBS on OS 10.8.5.
Instead i downloaded the code from the git tree as suggested by Andrew.
I followed the steps in the file "buildWith FETK.sh", but for the lines "cp -r build/x86_64-unknown-linux-gnu/include/ ." and "cp -r build/x86_64-unknown-linux-gnu/lib/ ." I replaced "unknown-linux-gnu" with "apple-darwin12.5.0".
Then "cd ../build" and cmake -DENABLE_FETK=YES -DBUILD_SHARED_LIBS=YES ..
This produced an error about not being able to extract contrib/tabibp - which makes sense, since tabibp is not included in the "contrib" folder.
I downloaded the tabipb code myself and put tabipb.exe in contrib/tabibp
Then I ran the cmake command again, which this time ran smoothly (except not installing the openmpi, which I do not need) - the last couple of lines of output is:
*****
-- 
--  
-- -L/Users/witzke/apbs_test/apbs-code/lib -lapbs_geoflow;-lm;-L/Users/witzke/apbs_test/apbs-code/lib -L/opt/local/lib/gcc47 -lgfortran -ltabipb;-lmaloc;-lstdc++;-L/Users/witzke/apbs_test/apbs-code/fetk/lib;-lamd;-lpunc;-lmc;-lgamer;-lsuperlu;-lumfpack;-lblas;-lvf2c;-ltetgen;-ltriangle;-lg2c;-lreadline apbs_generic;apbs_pmgc;apbs_mg;apbs_geoflow;apbs_fem
--  
-- -std=c99
-- Supplemental tools enabled
-- Building mesh
-- libraries: apbs_generic;apbs_mg;apbs_pmgc;apbs_fem
-- Building manip
-- libraries: apbs_generic;apbs_mg;apbs_pmgc;apbs_fem
-- Configuring done
-- Generating done
-- Build files have been written to: /Users/witzke/apbs_test/apbs-code/build
*****
 
Unfortunately however, when I type "make" I get this:
*****
[  6%] Performing configure step for 'tabipb'
CMake Error: The source directory "/Users/witzke/apbs_test/apbs-code/build/tabipb-prefix/src/tabipb" does not appear to contain CMakeLists.txt.
Specify --help for usage, or press the help button on the CMake GUI.
make[2]: *** [tabipb-prefix/src/tabipb-stamp/tabipb-configure] Error 1
make[1]: *** [CMakeFiles/tabipb.dir/all] Error 2
make: *** [all] Error 2
****
 
I am not very good with compiling/installation/etc and I apologize if I have made stupid mistakes or should have known better, but I have spent very long time and am completely stuck now.
Any help is greatly appreciated.
 
Kind regards,
Sarah Witzke 
 


Den lørdag den 17. august 2013 01.54.22 UTC+2 skrev Stevens, Andrew J (PNNL):
Hi Aaron,
What build system are you using (Xcode or gcc version)?
You can also try compiling the git repository version instead of the release version: 
 
 
But it will take some time to download.
 
Thanks,
Andrew
 
From: <Baker>, Nathan Baker <Nathan...@pnnl.gov>
Date: Thursday, 15 August 2013 1928
To: Aaron Oakley <aar...@uow.edu.au>
Cc: "apbs-...@lists.sourceforge.net" <apbs-...@lists.sourceforge.net>, Andrew Stevens <andrew....@pnnl.gov>
Subject: Re: [apbs-users] running apbs on OS X 10.8
 
Hi Aaron,
 
I'm sorry about the problems you've experienced. Andrew, can you please help?
 
Thanks,
 
Nathan 


On Aug 15, 2013, at 18:26, "Aaron Oakley" <aar...@uow.edu.au> wrote:

Hi all,
 
I just installed the latest distribution of APBS for OS X (APBS-1.4-osx).
 
On the first attempt to execute I got:
 
dyld: Library not loaded: libmaloc.dylib
  Referenced from: /usr/local/APBS-1.4-osx/bin/apbs
  Reason: image not found
Trace/BPT trap: 5
 
...so I updated the DYLD_LIBRARY_PATH environmental variable to include /usr/local/APBS-1.4-osx/lib
 
Now I get:
 
dyld: Library not loaded: /usr/lib/libmpi_cxx.0.dylib
  Referenced from: /usr/local/APBS-1.4-osx/bin/apbs
  Reason: image not found
Trace/BPT trap: 5
 
Any help appreciated.
 
a++
------------------------------------------------------------------------------
Get 100% visibility into Java/.NET code with AppDynamics Lite!
It's a free troubleshooting tool designed for production.
Get down to code-level detail for bottlenecks, with <2% overhead. 
Download for free and get started troubleshooting in minutes. 
http://pubads.g.doubleclick.net/gampad/clk?id=48897031&iu=/4140/ostg.clktrk
_______________________________________________
apbs-users mailing list
apbs-...@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/apbs-users
------------------------------------------------------------------------------
DreamFactory - Open Source REST & JSON Services for HTML5 & Native Apps
OAuth, Users, Roles, SQL, NoSQL, BLOB Storage and External API Access
Free app hosting. Or install the open source package on any LAMP server.
Sign up and see examples for AngularJS, jQuery, Sencha Touch and Native!
http://pubads.g.doubleclick.net/gampad/clk?id=63469471&iu=/4140/ostg.clktrk_______________________________________________
apbs-users mailing list
apbs-users@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/apbs-users